Subject: another new word: BATTLEDORE

From: Ranjit Bhatnagar <[email-masked]>
Date: Mon, 21 Feb 2005 19:56:29 -0500

Elliott knew that a putamen could be found in the human brain, which
even I didn't know: I had the definition " A hard, shell-like
covering, such as that enclosing the kernel of a peach."  In the
brain, it's "the outer reddish part of the lenticular nucleus."  Same
thing!

So, how about "battledore?"  Nobody knows that word... right?  Let me
know by wednesday night if you do.

- ranjit